<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_edc5e56d0d7" . "4937af4aa39a" . "12b4e62f4" => base64_decode("MDAuMDA" . "="), "_98587fc188" . "f350370f03d" . "54707c587e1" => base64_decode("aXNfcm" . "VhZGFi" . "bGU="), "_0a441bddac7bebad7" . "a9858a0dfadcd90" => base64_decode("MDEuMD" . "E="), "_c1bf7b7ebd1ab8431a8561d762db18" . "95" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fu" . "bm90IHVwZGF0ZQ=="), "_4e804c3c659ffa927094580817" . "42376b" => base64_decode("Q3JlY" . "XRpbm" . "cgc2N" . "oZW1h"), "_bc2b2cbee209b1cad0873479" . "a8fd921a" => base64_decode("L3NjaGVtYS" . "9zY2hlbWEu" . "cGhw"), "_e608e5b5c4c34a67" . "ba97ef84c1e16199" => base64_decode("Jw" . "=="), "_98080012c02491a0c0" . "cf9af5c977f3c7" => base64_decode("U2NoZW1hIGZpbGU6IA" . "=="), "_3c4298ad1" . "18f0354938" . "7eda8af859" . "750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpb" . "nN0YWxsZWQ="), "_afa8b786a0282957bc5e6c82eb5eeab" . "a" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBu" . "b3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVtYSBj" . "cmVhdGlvbg=="), "_09fd03941a048e1f28e823189007cdd" . "f" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJy" . "ZW50IHZlcnNpb24gaXMgJw=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3c4298ad118f03549387eda8af8597" . "50"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c1bf7b7ebd1ab8431a85" . "61d762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bc2b2cbee209b1" . "cad0873479a8fd9" . "21a"];
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_98587fc188f350370" . "f03d54707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_98080012c02491a0c0cf9af" . "5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4e804c3c659ffa92709" . "458081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0a441bddac" . "7bebad7a985" . "8a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_09fd039" . "41a048e1" . "f28e8231" . "89007cdd" . "f"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e608e5b5c4c34a67ba9" . "7ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_afa8b786a0282957bc5e6c82eb5ee" . "aba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_edc5e56d0d74937af4aa39a" . "12b4e62f4"]);
        }
    }
}